@import "assets/scss/global";

.wrapper-modal {
    width: calc(100% - 32px) !important;
    max-width: 560px !important;
    display: flex !important;
    align-items: center;
    overflow: auto;
    min-height: calc(100% - 32px);
    margin: 16px auto !important;

    >[class~='rs-modal-dialog'] {
        width: 100%;

        >[class~='rs-modal-content'] {
            border-radius: 32px 24px;
            padding: 0;

            .head {
                padding: 16px;
                text-align: center;
                background: rgba(118, 96, 254, 0.90) url("/images-v2/congratulations-bg.png");
                background-position: center;
                background-size: cover;
                border-radius: 24px 24px 0 0;

                .icon {}

                .title {
                    font-size: 16px;
                    font-weight: 500;
                    line-height: 26px;
                    color: #FFF;

                    .user {
                        font-size: 20px;
                        line-height: 28px;
                        font-weight: 700;
                    }
                }
            }

            .content {
                padding: 24px;
                font-size: 16px;
                font-weight: 500;
                line-height: 28px;
                color: #202226;

                p {
                    margin: 0;
                }

                ul {
                    margin: 0;
                    padding-left: 24px;

                    li {
                        list-style-type: disc;
                    }
                }

                .highlight {
                    color: #EF4E2B;
                    font-weight: bold;
                    white-space: nowrap;
                    word-break: keep-all;
                }
            }

            .grade {
                margin: 0 -24px;
                margin-top: 12px;
                border-top: 1px dashed #E2E5F2;
                padding: 0 24px;

                .title-grade {
                    font-size: 16px;
                    font-weight: 700;
                    color: #202226;
                    margin: 0;
                    margin-top: 12px;
                    line-height: 28px;
                }

                .actions {
                    margin-top: 6px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    gap: 16px;

                    .menu-grade {
                        top: auto;
                        bottom: 60px;
                    }

                    .btn-claim {
                        border-radius: 12px;
                        background: linear-gradient(90deg, #F79945 0%, #F84C26 99.43%);
                        margin: auto;
                        flex-shrink: 0;
                        padding: 15px 24px;
                        min-width: 208px;

                        &:disabled {
                            color: white;
                            background: none;
                            box-shadow: none;
                            background-color: #D6D6D6;
                            cursor: not-allowed;
                        }
                    }
                }
            }
        }
    }
}